---
key_path: counts.count_total_include_repository_xray_data_into_code_generation_prompt_weekly
description: Weekly count of repository x-ray data being added into code generation AI prompt
product_section: dev
product_stage: create
product_group: code_creation
performance_indicator_type: []
value_type: number
status: active
milestone: '16.9'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/142807
time_frame: 7d
data_source: internal_events
data_category: optional
distribution:
- ee
tier:
- premium
- ultimate
options:
  events:
  - include_repository_xray_data_into_code_generation_prompt
events:
- name: include_repository_xray_data_into_code_generation_prompt
